﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Controls.Input;

namespace MaskedEdit_Focus
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        bool ButtonDownForFocus = false;

        public MainWindow()
        {
            InitializeComponent();
        }

        private void PreviewMouseUp(object sender, MouseButtonEventArgs e)
        {
            if (ButtonDownForFocus) 
                (sender as SfMaskedEdit).CaretIndex = 1;// for each case manually set the index of first prompt character
        }

        private void PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            if (!((SfMaskedEdit)sender).IsFocused)
                ButtonDownForFocus = true;
            else
                ButtonDownForFocus = false;
        }
    }
}
